Package com.ocient.jdbc.proto

## Interface PlanProtocol.ShuffleOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ShuffleOperator`, `PlanProtocol.ShuffleOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ShuffleOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getKeys​(int index)` The keys we are hashing by (in order) to determine the destination
`com.google.protobuf.ByteString` `getKeysBytes​(int index)` The keys we are hashing by (in order) to determine the destination
`int` `getKeysCount()` The keys we are hashing by (in order) to determine the destination
`List<String>` `getKeysList()` The keys we are hashing by (in order) to determine the destination
`long` `getShuffleRotation()` `uint64 shuffle_rotation = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getKeysList

    List<String> getKeysList()

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Returns:
  A list containing the keys.

#### getKeysCount

    int getKeysCount()

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Returns:
  The count of keys.

#### getKeys

    String getKeys​(int index)

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.

#### getKeysBytes

    com.google.protobuf.ByteString getKeysBytes​(int index)

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the keys at the given index.

#### getShuffleRotation

    long getShuffleRotation()

`uint64 shuffle_rotation = 2;`

Returns:
  The shuffleRotation.